Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("ConstrainedValueParameter", "A parameter whose value has to be chosen from a set of valid values.")]
-  [StorableClass("14C820C8-6C41-4C7C-8572-0A2643BE895C")]
+  [StorableType("14C820C8-6C41-4C7C-8572-0A2643BE895C")]
   public class ConstrainedValueParameter<T> : OptionalConstrainedValueParameter<T> where T : class, IItem {
     public override T Value {
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/FixedValueParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/FixedValueParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/FixedValueParameter.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("FixedValueParameter", "A parameter whose value is defined in the parameter itself and cannot be set.")]
-  [StorableClass("92364C64-680F-423D-A5B7-7CABC8B8A73D")]
+  [StorableType("92364C64-680F-423D-A5B7-7CABC8B8A73D")]
   public class FixedValueParameter<T> : ValueParameter<T>, IFixedValueParameter<T> where T : class,IItem, new() {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/LookupParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("LookupParameter", "A parameter whose value is retrieved from or written to a scope.")]
-  [StorableClass("F148DA65-3D7D-41BA-AF1A-5982102E953D")]
+  [StorableType("F148DA65-3D7D-41BA-AF1A-5982102E953D")]
   public class LookupParameter<T> : Parameter, IStatefulItem, ILookupParameter<T> where T : class, IItem {
     [Storable]
@@ -174,5 +174,5 @@
         if (!(var.Value is T))
           throw new InvalidOperationException(
-            string.Format("Type mismatch. Variable \"{0}\" does not contain a \"{1}\".",
+            string.Format("MemberSelection mismatch. Variable \"{0}\" does not contain a \"{1}\".",
                           name,
                           typeof(T).GetPrettyName())
@@ -186,5 +186,5 @@
       if (!(value is T))
         throw new InvalidOperationException(
-          string.Format("Type mismatch. Value is not a \"{0}\".",
+          string.Format("MemberSelection mismatch. Value is not a \"{0}\".",
                         typeof(T).GetPrettyName())
         );
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OperatorParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("OperatorParameter", "A parameter which represents an operator.")]
-  [StorableClass("42C284BC-C0A9-4085-BB49-D404F11E7675")]
+  [StorableType("42C284BC-C0A9-4085-BB49-D404F11E7675")]
   public class OperatorParameter : OptionalValueParameter<IOperator> {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("OptionalConstrainedValueParameter", "A parameter whose value has to be chosen from a set of valid values or is null.")]
-  [StorableClass("4C7B6C72-3684-4E0E-9BEC-9F8D20AC6152")]
+  [StorableType("4C7B6C72-3684-4E0E-9BEC-9F8D20AC6152")]
   public class OptionalConstrainedValueParameter<T> : Parameter, IConstrainedValueParameter<T> where T : class, IItem {
     public override Image ItemImage {
@@ -67,5 +67,5 @@
         if ((value != null) && (val == null))
           throw new InvalidOperationException(
-            string.Format("Type mismatch. Value is not a \"{0}\".",
+            string.Format("MemberSelection mismatch. Value is not a \"{0}\".",
                           typeof(T).GetPrettyName())
           );
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("OptionalValueParameter", "A parameter whose value is defined in the parameter itself or is null.")]
-  [StorableClass("F6F3C1FF-02EC-4EEF-9513-9352D06ADB64")]
+  [StorableType("F6F3C1FF-02EC-4EEF-9513-9352D06ADB64")]
   public class OptionalValueParameter<T> : Parameter, IValueParameter<T> where T : class, IItem {
     public override Image ItemImage {
@@ -59,5 +59,5 @@
         if ((value != null) && (val == null))
           throw new InvalidOperationException(
-            string.Format("Type mismatch. Value is not a \"{0}\".",
+            string.Format("MemberSelection mismatch. Value is not a \"{0}\".",
                           typeof(T).GetPrettyName())
           );
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/Parameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/Parameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/Parameter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("Parameter", "A base class for parameters.")]
-  [StorableClass("743FB88F-6E73-4252-9474-AE62E4139027")]
+  [StorableType("743FB88F-6E73-4252-9474-AE62E4139027")]
   public abstract class Parameter : NamedItem, IParameter {
     public override Image ItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ScopeParameter", "A parameter which represents the current scope.")]
-  [StorableClass("C37045C2-CC31-4AAE-9CE5-5F7A9CE6A2CD")]
+  [StorableType("C37045C2-CC31-4AAE-9CE5-5F7A9CE6A2CD")]
   public class ScopeParameter : LookupParameter<IScope> {
     public new IScope ActualValue {
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("ScopeTreeLookupParameter", "A generic parameter representing instances of type T which are collected from or written to scope tree.")]
-  [StorableClass("0EC798A0-81EA-47B5-A279-99B06B0EE3BD")]
+  [StorableType("0EC798A0-81EA-47B5-A279-99B06B0EE3BD")]
   public class ScopeTreeLookupParameter<T> : LookupParameter<ItemArray<T>>, IScopeTreeLookupParameter<T> where T : class, IItem {
     [Storable]
@@ -101,5 +101,5 @@
           if ((var.Value != null) && (value == null))
             throw new InvalidOperationException(
-              string.Format("Type mismatch. Variable \"{0}\" does not contain a \"{1}\".",
+              string.Format("MemberSelection mismatch. Variable \"{0}\" does not contain a \"{1}\".",
                             name,
                             typeof(T).GetPrettyName())
@@ -114,5 +114,5 @@
       if (values == null)
         throw new InvalidOperationException(
-          string.Format("Type mismatch. Value is not a \"{0}\".",
+          string.Format("MemberSelection mismatch. Value is not a \"{0}\".",
                         typeof(ItemArray<T>).GetPrettyName())
         );
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ValueLookupParameter", "A parameter whose value is either defined in the parameter itself or is retrieved from or written to a scope.")]
-  [StorableClass("2D5A166A-1BC1-4FE2-9180-888F766DA331")]
+  [StorableType("2D5A166A-1BC1-4FE2-9180-888F766DA331")]
   public class ValueLookupParameter<T> : LookupParameter<T>, IValueLookupParameter<T> where T : class, IItem {
     public override Image ItemImage {
@@ -59,5 +59,5 @@
         if ((value != null) && (val == null))
           throw new InvalidOperationException(
-            string.Format("Type mismatch. Value is not a \"{0}\".",
+            string.Format("MemberSelection mismatch. Value is not a \"{0}\".",
                           typeof(T).GetPrettyName())
           );
Index: branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueParameter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ValueParameter", "A parameter whose value is defined in the parameter itself.")]
-  [StorableClass("90CE0311-5920-44D5-8C4A-3229A779AC6E")]
+  [StorableType("90CE0311-5920-44D5-8C4A-3229A779AC6E")]
   public class ValueParameter<T> : OptionalValueParameter<T> where T : class, IItem {
     public override T Value {
